Page MenuHomePhabricator

PowerPC: Use shouldAssumeDSOLocal in classifyGlobalReference
ClosedPublic

Authored by rafael on Jun 29 2016, 8:54 AM.

Details

Summary

And teach shouldAssumeDSOLocal that ppc has no copy relocations.

The resulting code handlen a few more case than before. For example, it
knows that a weak symbol can be resolved to another .o file, but it
will still be in the main executable.

Diff Detail

Event Timeline

rafael updated this revision to Diff 62228.Jun 29 2016, 8:54 AM
rafael retitled this revision from to PowerPC: Use shouldAssumeDSOLocal in classifyGlobalReference.
rafael updated this object.
rafael added reviewers: amehsan, hfinkel, willschm.
rafael set the repository for this revision to rL LLVM.

adding llvm-commits

@Rafael Are you still interested in getting this patch reviewed?

hfinkel edited edge metadata.Jan 18 2017, 10:10 AM

So you can't interpose weak symbols on PPC?

lib/Target/TargetMachine.cpp
161

We should add a comment here that PPC does not use copy relocations.

rebase and add comment.

hfinkel accepted this revision.Jan 25 2017, 4:34 PM

LGTM

This revision is now accepted and ready to land.Jan 25 2017, 4:34 PM
rafael closed this revision.Jan 26 2017, 7:14 AM